Bug 326011 - SELinux is preventing /sbin/ldconfig (ldconfig_t) "read" to .conduit/conduit.log (inotifyfs_t).
SELinux is preventing /sbin/ldconfig (ldconfig_t) "read" to .conduit/conduit....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: conduit (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 05:11 EDT by Sergio Pascual
Modified: 2008-06-16 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2007-10-10 05:11:32 EDT
Description of problem:
This is notified by setroubleshoot

Version-Release number of selected component (if applicable):
conduit-0.3.3-4.fc7

How reproducible:
Always

Steps to Reproduce:
1. Open conduit
2. Add files
3.
  
Actual results:
You get the selinux warning

Expected results:
No selinux warning

Additional info:
Source Context:  user_u:system_r:ldconfig_tTarget
Context:  system_u:object_r:inotifyfs_tTarget
Objects:  /home/xxxx/.conduit/conduit.log [ dir ]
Affected RPM Packages:  glibc-2.6-4 [application]
Policy RPM:  selinux-policy-2.6.4-46.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.catchall_file
Host Name:  xxxxxxxxx
Platform:  Linux xxxxxx 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686
i686
Alert Count:  5
First Seen:  wed 10 oct 2007 10:54:28 CEST
Last Seen:  wed 10 oct 2007 11:03:16 CEST
Local ID:  2f44e562-173c-4acf-83bd-0df77a61c0e9
Line Numbers:  

avc: denied { read } for comm="ldconfig" dev=inotifyfs egid=500 euid=500
exe="/sbin/ldconfig" exit=0 fsgid=500 fsuid=500 gid=500 items=0 name="inotify"
path="/home/xxx/.conduit/conduit.log" pid=4975
scontext=user_u:system_r:ldconfig_t:s0 sgid=500
subj=user_u:system_r:ldconfig_t:s0 suid=500 tclass=dir
tcontext=system_u:object_r:inotifyfs_t:s0 tty=(none) uid=500
Comment 1 Bug Zapper 2008-05-14 10:41:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:37:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.